Release 4.3.0

Note: this is scheduled to be the last release that requires boost, new releases after this will require a C++11 compiler. Changes since 4.2.0